Bug 194068 - [exp-run] devel/libtool: version 2.4.2.418
Summary: [exp-run] devel/libtool: version 2.4.2.418
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-01 13:21 UTC by Tijl Coosemans
Modified: 2014-10-05 18:04 UTC (History)
1 user (show)

See Also:
tijl: maintainer-feedback? (autotools)
antoine: exp-run?


Attachments
patch (32.75 KB, patch)
2014-10-01 13:21 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (32.90 KB, patch)
2014-10-02 07:33 UTC, Tijl Coosemans
no flags Details | Diff
patch3 (84.11 KB, patch)
2014-10-02 15:56 UTC, Tijl Coosemans
no flags Details | Diff
patch4 (86.15 KB, patch)
2014-10-02 17:18 UTC, Tijl Coosemans
no flags Details | Diff
patch5 (42.06 KB, patch)
2014-10-03 22:04 UTC, Tijl Coosemans
no flags Details | Diff
patch6 (42.07 KB, patch)
2014-10-04 09:08 UTC, Tijl Coosemans
no flags Details | Diff
patch7 (38.69 KB, patch)
2014-10-05 10:28 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2014-10-01 13:21:56 UTC
Created attachment 147884 [details]
patch

The attached patch updates devel/libtool and devel/libltdl to version 2.4.2.418.  It also adds patches to devel/libtool such that /usr/local/bin/libtool uses the same library version scheme as USES=libtool.  These patches will be submitted upstream.

All ports with USES=libtool:build have been adjusted where necessary (plist changes).

For the purpose of the exp-run, /usr/local/bin/libtool has been modified to exit with a failure unless USES=libtool:build has been set.  This is meant to expose ports that have a hidden dependency on devel/libtool.  These ports may also need plist changes.
Comment 1 Bugzilla Automation freebsd_committer 2014-10-01 13:21:56 UTC
Auto-assigned to maintainer autotools@FreeBSD.org
Comment 2 Antoine Brodin freebsd_committer 2014-10-01 18:08:39 UTC
Take for exp-run
Comment 4 Tijl Coosemans freebsd_committer 2014-10-02 07:33:42 UTC
Created attachment 147902 [details]
patch2

Fix devel/libtool by restoring more time stamps in post-patch
Comment 5 Tijl Coosemans freebsd_committer 2014-10-02 15:56:11 UTC
Created attachment 147916 [details]
patch3

- Let devel/libtool depend on devel/m4 for libtoolize
- Fix devel/boehm-gc by removing USE_AUTOTOOLS
- Fix net-mgmt/nagios-plugins and net-mgmt/monitoring-plugins by removing USES=autoreconf

This patch requires a full exp-run again, so you can abort the current one.
Comment 6 Tijl Coosemans freebsd_committer 2014-10-02 16:50:56 UTC
I discovered another problem with libtoolize so please wait for patch4.
Comment 7 Tijl Coosemans freebsd_committer 2014-10-02 17:18:09 UTC
Created attachment 147920 [details]
patch4

Add upstream patch so libtoolize no longer removes install-sh
Comment 8 commit-hook freebsd_committer 2014-10-03 12:06:39 UTC
A commit references this bug:

Author: tijl
Date: Fri Oct  3 12:05:45 UTC 2014
New revision: 369885
URL: https://svnweb.freebsd.org/changeset/ports/369885

Log:
  Remove some unneeded patches and other bits so USES=autoreconf can be
  removed (avoids a problem with upcoming devel/libtool update)

  PR:		194068

Changes:
  head/databases/py-sqlrelay/Makefile
  head/databases/sqlrelay/Makefile
  head/databases/sqlrelay/Makefile.common
  head/databases/sqlrelay/files/patch-acsite.m4
  head/databases/sqlrelay/files/patch-config.mk.in
  head/databases/sqlrelay/files/patch-configure.in
  head/databases/sqlrelay/pkg-plist
Comment 9 commit-hook freebsd_committer 2014-10-03 12:41:43 UTC
A commit references this bug:

Author: tijl
Date: Fri Oct  3 12:41:34 UTC 2014
New revision: 369891
URL: https://svnweb.freebsd.org/changeset/ports/369891

Log:
  Remove some unneeded patches, patch configure and Makefile.in instead of
  configure.ac and Makefile.am so USES=autoreconf can be removed (avoids a
  problem with upcoming devel/libtool update)

  PR:		194068

Changes:
  head/net-mgmt/nagios-plugins/Makefile
  head/net-mgmt/nagios-plugins/files/patch-configure
  head/net-mgmt/nagios-plugins/files/patch-configure.ac
  head/net-mgmt/nagios-plugins/files/patch-gl__m4__extensions.m4
  head/net-mgmt/nagios-plugins/files/patch-plugins__Makefile.am
Comment 10 commit-hook freebsd_committer 2014-10-03 12:43:44 UTC
A commit references this bug:

Author: tijl
Date: Fri Oct  3 12:42:44 UTC 2014
New revision: 369893
URL: https://svnweb.freebsd.org/changeset/ports/369893

Log:
  Remove some unneeded patches, patch configure and Makefile.in instead of
  configure.ac and Makefile.am so USES=autoreconf can be removed (avoids a
  problem with upcoming devel/libtool update)

  PR:		194068

Changes:
  head/net-mgmt/monitoring-plugins/Makefile
  head/net-mgmt/monitoring-plugins/files/patch-configure
  head/net-mgmt/monitoring-plugins/files/patch-configure.ac
  head/net-mgmt/monitoring-plugins/files/patch-gl__m4__extensions.m4
  head/net-mgmt/monitoring-plugins/files/patch-plugins__Makefile.am
Comment 11 Antoine Brodin freebsd_committer 2014-10-03 19:38:00 UTC
Exp-run results:

http://package22.nyi.freebsd.org/build.html?mastername=10amd64-default-PR194068&build=2014-10-02_18h01m11s

New failures:

+ {"origin"=>"benchmarks/sysbench", "pkgname"=>"sysbench-0.4.12_3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"databases/sqlrelay", "pkgname"=>"sqlrelay-0.56", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/liblangtag", "pkgname"=>"liblangtag-0.5.4", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"dns/ldns", "pkgname"=>"ldns-1.6.17_2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/tme", "pkgname"=>"tme-0.8_5", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/gnubg", "pkgname"=>"gnubg-1.03.001_2", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"graphics/mozjpeg", "pkgname"=>"mozjpeg-2.1_1", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"irc/hexchat", "pkgname"=>"hexchat-2.10.1", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"multimedia/transcode", "pkgname"=>"transcode-1.1.7_16", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-mgmt/collectd5", "pkgname"=>"collectd5-5.4.1_12", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"net/ntop", "pkgname"=>"ntop-5.0.1_8", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"net/xrdp", "pkgname"=>"xrdp-0.6.1_4,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/xrdp-devel", "pkgname"=>"xrdp-devel-0.7.0.b20130912_3,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/clsync", "pkgname"=>"clsync-0.4.r2_1", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"sysutils/tlsdate", "pkgname"=>"tlsdate-0.0.7", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"sysutils/torque", "pkgname"=>"torque-2.5.13,1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/mod_rivet", "pkgname"=>"mod_rivet-2.2.0", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"x11/roxterm", "pkgname"=>"roxterm-2.9.4", "phase"=>"build", "errortype"=>"assumes_gcc"}
Comment 12 Tijl Coosemans freebsd_committer 2014-10-03 22:04:21 UTC
Created attachment 147948 [details]
patch5

- Fix all build errors above.  Many fixes have already been committed so this patch requires at least r369938.
- Another fix for libtoolize (remove umask 0 so it doesn't create world writeable files with --ltdl option)
- Adjust USES=libtool for the new libtool version

Requires full exp-run.
Comment 13 Antoine Brodin freebsd_committer 2014-10-04 06:13:52 UTC
this new version seems to have some problem fetching sometimes:

http://package18.nyi.freebsd.org/data/91amd64-default-PR190676/2014-10-03_23h53m02s/logs/errors/libltdl-2.4.2.418.log
Comment 14 Antoine Brodin freebsd_committer 2014-10-04 06:25:03 UTC
hmm actually something seems wrong for libltdl
MASTER_SITE_SUBDIR=    libtool may be missing?
Comment 15 Tijl Coosemans freebsd_committer 2014-10-04 09:08:11 UTC
Created attachment 147959 [details]
patch6

Fix MASTER_SITES in devel/libtool/Makefile.common
Comment 17 commit-hook freebsd_committer 2014-10-05 09:57:31 UTC
A commit references this bug:

Author: tijl
Date: Sun Oct  5 09:57:17 UTC 2014
New revision: 370048
URL: https://svnweb.freebsd.org/changeset/ports/370048

Log:
  - Convert to USES=autoreconf
  - Use CXX compiler for OBJCXX so libtool recognises it.  On FreeBSD 8 and 9
    configure would set OBJCXX to g++ while CXX was c++.
  - Add NLS option
  - Add missing Xorg dependencies to MANAGER option
  - Combine post-extract, post-patch and post-configure into post-patch

  PR:		194068

Changes:
  head/net/boinc-client/Makefile
Comment 18 Tijl Coosemans freebsd_committer 2014-10-05 10:28:13 UTC
Created attachment 147991 [details]
patch7

Patch rebased against r370051.  No other changes.
Comment 19 Antoine Brodin freebsd_committer 2014-10-05 16:23:02 UTC
Ok, this looks good to commit (with the LTTRAP part removed)
Comment 20 commit-hook freebsd_committer 2014-10-05 18:02:20 UTC
A commit references this bug:

Author: tijl
Date: Sun Oct  5 18:01:33 UTC 2014
New revision: 370099
URL: https://svnweb.freebsd.org/changeset/ports/370099

Log:
  - Update devel/libtool and devel/libltdl to version 2.4.2.418
  - Patch libtool so it uses the same library version specification as on
    Darwin, Linux and other systems.  Given the version current:revision:age
    a library will be given the extension .so.major.age.revision with major
    equal to current-age.  Before libtool would use .so.current on FreeBSD.
  - Patch libtoolize to remove two cases of umask 0 that caused libltdl
    files to be copied world writable (--ltdl option)
  - Let USES=libtool patch this new version correctly
  - Adjust all ports with USES=libtool:build and bump PORTREVISION on their
    dependent ports if a library version changed

  PR:		194068
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/libtool.mk
  head/archivers/tardy/Makefile
  head/audio/libnoise/Makefile
  head/audio/libnoise/pkg-plist
  head/devel/bglibs/Makefile
  head/devel/bglibs/pkg-plist
  head/devel/cdialog/Makefile
  head/devel/cdialog/pkg-plist
  head/devel/fhist/Makefile
  head/devel/libdsp/Makefile
  head/devel/libdsp/pkg-plist
  head/devel/libexplain/Makefile
  head/devel/libexplain/pkg-plist
  head/devel/libltdl/Makefile
  head/devel/libltdl/pkg-plist
  head/devel/libmaa/Makefile
  head/devel/libtool/Makefile
  head/devel/libtool/Makefile.common
  head/devel/libtool/distinfo
  head/devel/libtool/files/patch-build-aux_ltmain.sh
  head/devel/libtool/files/patch-configure
  head/devel/libtool/files/patch-libltdl-Makefile.in
  head/devel/libtool/files/patch-libltdl_config_ltmain.sh
  head/devel/libtool/files/patch-libtoolize.in
  head/devel/libtool/files/patch-m4_libtool.m4
  head/devel/libtool/pkg-plist
  head/devel/srecord/Makefile
  head/devel/srecord/pkg-plist
  head/devel/xparam/Makefile
  head/devel/xparam/pkg-plist
  head/dns/dnsutl/Makefile
  head/ftp/twoftpd/Makefile
  head/graphics/gexiv2/Makefile
  head/graphics/gexiv2/pkg-plist
  head/lang/gforth/Makefile
  head/lang/gforth/pkg-plist
  head/lang/oo2c/Makefile
  head/lang/oo2c/pkg-plist
  head/mail/mailfront/Makefile
  head/mail/qmail-autoresponder/Makefile
  head/mail/qmail-qfilter/Makefile
  head/math/libtommath/Makefile
  head/security/cvm/Makefile
  head/security/cvm/pkg-plist
  head/security/libtomcrypt/Makefile
  head/security/libtomcrypt/pkg-plist
  head/sysutils/ucspi-proxy/Makefile
  head/sysutils/vii/Makefile
  head/x11-toolkits/xmhtml/Makefile
  head/x11-toolkits/xmhtml/pkg-plist